/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource;


/**
 * LOG-DONE
 *
 * This exception is raised when a resource for a given key is not found. Usually raised by {@link ResourceHome
 * ResourceHome} operations.
 */
public class NoSuchResourceException
   extends ResourceException
{
   /**
    * Creates a new {@link NoSuchResourceException} object.
    */
   public NoSuchResourceException(  )
   {
   }

   /**
    * Creates a new {@link NoSuchResourceException} object.
    *
    * @param message DOCUMENT_ME
    */
   public NoSuchResourceException( String message )
   {
      super( message );
   }

   /**
    * Creates a new {@link NoSuchResourceException} object.
    *
    * @param message DOCUMENT_ME
    * @param ex      DOCUMENT_ME
    */
   public NoSuchResourceException( String    message,
                                   Throwable ex )
   {
      super( message, ex );
   }

   /**
    * Creates a new {@link NoSuchResourceException} object.
    *
    * @param ex DOCUMENT_ME
    */
   public NoSuchResourceException( Throwable ex )
   {
      super( ex );
   }
}